# Deprecated

{% hint style="warning" %}
This page documents variables that were deprecated and that should not be used anymore.

If you are using Didomi variables for the first time, please directly refer to [this page](/cmp/web-sdk/third-parties/tags-management/events-and-variables.md).
{% endhint %}

## Deprecated vendor IDs

The Didomi Web SDK used to format vendor IDs with a prefix ( `prefix:ID,`).

The prefix that were supported:

* `iab:` for IAB vendors.
* `didomi:` for Didomi vendors.
* `c:` for custom vendors.

When non-GDPR regulations were introduced in the Didomi platform, a new and simpler vendor ID format was introduced and the prefix was removed.

To remain backward compatible, the variables listed on this page are still supported and continue to use the prefixed vendor IDs. **However, if your consent notices use multiple regulations, you must switch to the** [**new variables**](/cmp/web-sdk/third-parties/tags-management/events-and-variables.md#variables)**.**

* Example with prefix vendor IDs: `iab:628,didomi:google,c:custom,`
* Example with non-prefixed vendor IDs: `tappx-jjy49eFA,google,custom,`

## Deprecated events

<table><thead><tr><th width="211">Event</th><th>Description</th></tr></thead><tbody><tr><td><code>didomi-cookies-consent</code></td><td>An event sent to the dataLayer for Google Tag Manager</td></tr></tbody></table>

## Deprecated variables

### Vendors

<table><thead><tr><th width="335">Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>didomiVendorsConsent</code></td><td>A comma-separated list of vendors that the user has given consent to. We use the list of purposes declared for the vendor to make sure that it has consent for all of them.</td></tr><tr><td><code>didomiVendorsConsentUnknown</code></td><td>A comma-separated list of vendors that the user has not yet given/denied consent to.</td></tr><tr><td><code>didomiVendorsConsentDenied</code></td><td>A comma-separated list of vendors that the user has denied consent to.</td></tr><tr><td><code>didomiVendorsRawConsent</code></td><td>A comma-separated list of vendors that the user has given consent to.<br>This list includes the raw consent status to vendors and does not take into account the required purposes per vendor. Only use this value if you are sure of what you are doing. Most likely, <code>didomiVendorsConsent</code> is the one you are looking for.</td></tr><tr><td><code>didomiVendorsRawConsentUnknown</code></td><td>A comma-separated list of vendors that the user has not yet given/denied consent to.<br>This list includes the raw consent status and does not take into account the required purposes per vendor. Only use this value if you are sure of what you are doing. Most likely, <code>didomiVendorsConsentUnknown</code> is the one you are looking for.</td></tr><tr><td><code>didomiVendorsRawConsentDenied</code></td><td>A comma-separated list of vendors that the user has denied consent to.<br>This list includes the raw consent status to vendors and does not take into account the required purposes per vendor. Only use this value if you are sure of what you are doing. Most likely, <code>didomiVendorsConsentDenied</code> is the one you are looking for.</td></tr></tbody></table>

### Purposes

<table data-header-hidden><thead><tr><th width="310">Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>didomiPurposesConsent</code></td><td>List of purposes that are enabled based on consent only (legitimate interest is not considered).</td></tr><tr><td><code>didomiPurposesConsentDenied</code></td><td>List of purposes that are disabled based on consent only (legitimate interest is not considered).</td></tr><tr><td><code>didomiPurposesConsentUnknown</code></td><td>A comma-separated list of purposes that the user has not yet given/denied consent to.</td></tr><tr><td><code>didomiCookiesConsent</code></td><td>Contained end-user choices per cookie category (essential, analytics, marketing, social). Targeted at pre-GDPR concerns surrounding the ePrivacy directive.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.didomi.io/cmp/web-sdk/third-parties/tags-management/events-and-variables/deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
